#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: haskell-src-exts
version: 1.16.0.1
id: haskell-src-exts-1.16.0.1-23951c867e9dfab8e75a8d49aff40c21
key: haske_0ssmyZJwEs4Hucnj3zTg4t
license: BSD3
maintainer: Niklas Broberg <niklas.broberg@chalmers.se>, Roman Cheplyaka <roma@ro-che.info>
stability: Stable
homepage: https://github.com/haskell-suite/haskell-src-exts
synopsis: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer
description:
    Haskell-Source with Extensions (HSE, haskell-src-exts)
    is an extension of the standard haskell-src package,
    and handles most registered syntactic extensions to Haskell, including:
    .
    * Multi-parameter type classes with functional dependencies
    .
    * Indexed type families (including associated types)
    .
    * Empty data declarations
    .
    * GADTs
    .
    * Implicit parameters
    .
    * Template Haskell
    .
    and a few more. All extensions implemented in GHC are supported.
    Apart from these standard extensions,
    it also handles regular patterns as per the HaRP extension
    as well as HSX-style embedded XML syntax.
category: Language
author: Niklas Broberg
exposed: True
exposed-modules:
    Language.Haskell.Exts Language.Haskell.Exts.Lexer
    Language.Haskell.Exts.Parser Language.Haskell.Exts.Pretty
    Language.Haskell.Exts.Syntax Language.Haskell.Exts.Extension
    Language.Haskell.Exts.Build Language.Haskell.Exts.Fixity
    Language.Haskell.Exts.Comments Language.Haskell.Exts.SrcLoc
    Language.Haskell.Exts.Annotated
    Language.Haskell.Exts.Annotated.Syntax
    Language.Haskell.Exts.Annotated.Fixity
    Language.Haskell.Exts.Annotated.Build
    Language.Haskell.Exts.Annotated.ExactPrint
    Language.Haskell.Exts.Annotated.Simplify
hidden-modules: Language.Haskell.Exts.ExtScheme
                Language.Haskell.Exts.ParseMonad Language.Haskell.Exts.ParseSyntax
                Language.Haskell.Exts.InternalLexer
                Language.Haskell.Exts.ParseUtils
                Language.Haskell.Exts.InternalParser
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-src-exts-1.16.0.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/haskell-src-exts-1.16.0.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/haskell-src-exts-1.16.0.1
hs-libraries: HShaskell-src-exts-1.16.0.1-0ssmyZJwEs4Hucnj3zTg4t
include-dirs: /usr/local/include
depends:
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    cpphs-1.19-324a3e7fe49b05be30923dbe6d1490dc
    ghc-prim-0.4.0.0-af16264bc80979d06e37ac63e3ba9a21
    pretty-1.1.2.0-b0c90c4562609e57954c7f75231d980f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-src-exts-1.16.0.1/html/haskell-src-exts.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/haskell-src-exts-1.16.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
